Skip to main content
GET
/
insights
👑 Coin Insights
curl --request GET \
  --url https://pro-api.coingecko.com/api/v3/insights \
  --header 'x-cg-pro-api-key: <api-key>'
[
  {
    "title": "BTC Prague 2026 Conference Goes Live",
    "description": "The BTC Prague 2026 conference is now live, featuring high-profile speakers and institutional attendance, fostering ecosystem networking and adoption narratives.",
    "related_coin_ids": [
      "bitcoin"
    ],
    "posted_at": "2026-06-11T07:57:14.180091Z"
  },
  {
    "title": "BlackRock Files for Yield-Generating Bitcoin ETF",
    "description": "BlackRock has filed an amendment for an iShares Bitcoin 'Premium Income' ETF, a covered-call product, potentially attracting new investor flows into BTC.",
    "related_coin_ids": [
      "bitcoin"
    ],
    "posted_at": "2026-06-11T07:57:14.154986Z"
  }
]

Tips

  • You may obtain the coin ID (API ID) via several ways:
    • Refer to respective coin page and find ‘API ID’.
    • Refer to /coins/list endpoint.
    • Refer to Google Sheets here.
  • Without specifying coin_id, it returns all latest insights on any coins on CoinGecko.
  • page supports up to 20 pages, and per_page supports up to 20 results per page.

Note

  • Cache / Update Frequency: every 1 minute.
  • Exclusive for Enterprise Plan Subscribers only.
  • These insights are generated by AI and may contain inaccuracies. Please verify before making decisions.
  • If you are not on the Enterprise plan and are interested in accessing this feature, please submit your interest through the form.

Authorizations

x-cg-pro-api-key
string
header
required

Query Parameters

page
integer
default:1

page through results Default value: 1

Required range: 1 <= x <= 20
per_page
integer
default:10

total results per page Default value: 10

Required range: 1 <= x <= 20
coin_id
string

filter insights by coin ID *refers to /coins/list.

from
string

starting date in ISO date string (YYYY-MM-DD)

to
string

ending date in ISO date string (YYYY-MM-DD)

Response

200 - application/json

List latest coin insights

title
string

coin insight title

description
string

coin insight description

related coin IDs

posted_at
string

coin insight published timestamp in ISO 8601 format

Example:
[
{
"title": "BTC Prague 2026 Conference Goes Live",
"description": "The BTC Prague 2026 conference is now live, featuring high-profile speakers and institutional attendance, fostering ecosystem networking and adoption narratives.",
"related_coin_ids": ["bitcoin"],
"posted_at": "2026-06-11T07:57:14.180091Z"
},
{
"title": "BlackRock Files for Yield-Generating Bitcoin ETF",
"description": "BlackRock has filed an amendment for an iShares Bitcoin 'Premium Income' ETF, a covered-call product, potentially attracting new investor flows into BTC.",
"related_coin_ids": ["bitcoin"],
"posted_at": "2026-06-11T07:57:14.154986Z"
}
]